### Method

# Gtk ListView scroll_to

since: 4.12

#### Declaration [src]

    void
    gtk_list_view_scroll_to (
      GtkListView* self,
      guint pos,
      GtkListScrollFlags flags,
      GtkScrollInfo* scroll
    )

#### Description [src]

Scrolls to the item at the given position and performs the actions specified in `flags`.

This function works no matter if the listview is shown or focused. If it isn’t, then the changes will take effect once that happens.

Available since: 4.12

#### Parameters

`pos`

  Type: `guint`

  Position of the item. Must be less than the number of items in the view.

`flags`

  Type: `GtkListScrollFlags`

  Actions to perform.

`scroll`

  Type: `GtkScrollInfo`

  Details of how to perform the scroll operation or `NULL` to scroll into view.

  The argument can be `NULL`.
  The instance takes ownership of the data, and is responsible for freeing it.